This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 189540 - CVE-2006-1931 Ruby http/xmlrpc server DoS
CVE-2006-1931 Ruby http/xmlrpc server DoS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
impact=moderate,reported=20060412,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-20 16:13 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.8.4-3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 00:51:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-20 16:13:46 EDT
Ruby http/xmlrpc server DoS

A bug was found in the way ruby creates its http (and thus xmlrpc)
server.  The server uses blocking sockets, so if it is possible to
send a very large amount of data via the socket, the server will block
other connections resulting in a denial of service.

The original report (and patch) are here:
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/27787

A reproducer is described here:
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/26405


This issue also affects FC4
Comment 1 Akira TAGOH 2006-04-21 00:51:29 EDT
As I said in the mail, those issues has been fixed in 1.8.3.
So it won't affects ruby packages on FC since we've already pushed 1.8.4 for them.

Note You need to log in before you can comment on or make changes to this bug.